### Method

# Gegl Buffer set_extent

#### Declaration [src]

    gboolean
    gegl_buffer_set_extent (
      GeglBuffer* buffer,
      const GeglRectangle* extent
    )

#### Description [src]

Changes the size and position that is considered active in a buffer, this operation is valid on any buffer, reads on subbuffers outside the master buffer’s extent are at the moment undefined.

Returns TRUE if the change of extent was successful.

#### Parameters

`extent`

  Type: `GeglRectangle`

  New extent.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

No description available.